Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 141563)
+++ channels/chan_sip.c	(working copy)
@@ -15165,6 +15165,10 @@
 	if (p->pendinginvite && !ast_test_flag(&p->flags[0], SIP_OUTGOING) && !ast_test_flag(req, SIP_PKT_IGNORE) && !p->owner) 
 		transmit_response_reliable(p, "487 Request Terminated", &p->initreq);
 
+	if (p->invitestate == INV_PROCEEDING) {
+		__sip_pretend_ack(p);
+	}
+
 	p->invitestate = INV_TERMINATED;
 
 	copy_request(&p->initreq, req);
